Updates an existing custom menu for a given company. Requires authentication and proper permissions.

http
PUT https://services.leadconnectorhq.com/custom-menus/{customMenuId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
customMenuIdstringYes62e589c1-c456-47e1-a9a7-cb8900014311ID of the custom menu to update

Body

NameTypeRequiredExampleDescription
titlestringNoCustom MenuTitle of the custom menu
urlstringNohttps://custom-menus.com/URL of the custom menu
iconobjectNoIcon information for the custom menu
showOnCompanybooleanNoTrueWhether the menu must be displayed on the agency's level
showOnLocationbooleanNoTrueWhether the menu must be displayed for accounts level
showToAllLocationsbooleanNoTrueWhether the menu must be displayed to all accounts
openModestringNoMode for opening the menu link Possible values: 'iframe', 'new_tab', 'current_tab'
locationsstring[]NoList of account IDs where the menu should be shown. This list is applicable only when showOnLocation is true and showToAllLocations is false
userRolestringNoWhich user-roles should the menu be accessible to? Possible values: 'all', 'admin', 'user'
allowCamerabooleanNoFalseWhether to allow camera access (only for iframe mode)
allowMicrophonebooleanNoFalseWhether to allow microphone access (only for iframe mode)

Responses

200 - Custom menu successfully updated
  • success (boolean): Status of update

  • customMenu (object): Updated custom menu link

json
{
  "success": true
}
400 - Bad Request - Invalid input
401 - Unauthorized
json
{}
403 - Forbidden - Insufficient permissions
404 - Not Found - Custom menu or company not found
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/custom-menus/YOUR_customMenuId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "Custom Menu",
  "url": "https://custom-menus.com/",
  "showOnCompany": true,
  "showOnLocation": true,
  "showToAllLocations": true,
  "openMode": "iframe",
  "locations": [
    "gfWreTIHL8pDbggBb7af",
    "67WreTIHL8pDbggBb7ty"
  ],
  "userRole": "all",
  "allowCamera": false,
  "allowMicrophone": false
}'

Last updated October 26, 2026

Was this page helpful?